#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TherionIntegralCFGData
{
	//编号
	int mID;
	//积分类型
	int mIntegralType;
	//最小积分区间
	int mMinIntegral;
	//最大积分区间
	int mMaxIntegral;
	//新手礼包权重
	int mNewGiftWeight;
	//新手权重
	int mNewWeight;
	//礼包权重
	int mGiftWeight;
	//消耗权重
	int mComWeight;
	//普通权重
	int mNorWeight;
	//不上榜权重
	int mOnListWeight;
};

class Fish_TherionIntegralCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionIntegralCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionIntegralCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TherionIntegralCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TherionIntegralCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TherionIntegralCFGData> mMapData;
};
